# OqlQueryListedClause Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlQueryListedClause:
[legend]

List of all members.

## Public Member Functions

| add (OqlQueryParameter $property)
| getList ()
| setList (array $list)
| dropList ()

## Protected Attributes

| $list = array()

## Detailed Description

Definition at line 15 of file OqlQueryListedClause.class.php.

## Member Function Documentation

OqlQueryListedClause::add | ( | OqlQueryParameter $ | property | ) |

Returns:
  OqlQueryListedClause

Definition at line 22 of file OqlQueryListedClause.class.php.

OqlQueryListedClause::dropList | ( |  | ) |

Returns:
  OqlQueryListedClause

Definition at line 47 of file OqlQueryListedClause.class.php.

OqlQueryListedClause::getList | ( |  | ) |

Definition at line 29 of file OqlQueryListedClause.class.php.

OqlQueryListedClause::setList | ( | array $ | list | ) |

Returns:
  OqlQueryListedClause

Definition at line 37 of file OqlQueryListedClause.class.php.

## Member Data Documentation

OqlQueryListedClause::$list = array()`[protected]`

Definition at line 17 of file OqlQueryListedClause.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlQueryListedClause.class.php